/**
* DevExtreme (ui/context_menu.d.ts)
* Version: 19.1.9 (build 20034-1114)
* Build date: Mon Feb 03 2020
*
* Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxContextMenu(): JQuery;
    dxContextMenu(options: "instance"): DevExpress.ui.dxContextMenu;
    dxContextMenu(options: string): any;
    dxContextMenu(options: string, ...params: any[]): any;
    dxContextMenu(options: DevExpress.ui.dxContextMenuOptions): JQuery;
}
}
export default DevExpress.ui.dxContextMenu;
export type Options = DevExpress.ui.dxContextMenuOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxContextMenuOptions;